<?php $__env->startSection('form'); ?>
    <div class="form-group">
        <label for="title-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Widget title')); ?></label>
        <input type="text" class="form-control" name="title" id="title-<?php echo e($id); ?>" placeholder="<?php echo e(__('Default Title')); ?>" value="<?php echo e($title); ?>">
    </div>
    <div class="form-group">
        <label for="top_query-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Top query')); ?></label>
        <select class="form-control" name="top_query" id="top_query-<?php echo e($id); ?>">
            <option value="traffic" <?php if($top_query == 'traffic'): ?> selected <?php endif; ?>><?php echo e(__('Traffic')); ?></option>
            <option value="uptime" <?php if($top_query == 'uptime'): ?> selected <?php endif; ?>><?php echo e(__('Uptime')); ?></option>
            <option value="ping" <?php if($top_query == 'ping'): ?> selected <?php endif; ?>><?php echo e(__('Response time')); ?></option>
            <option value="poller" <?php if($top_query == 'poller'): ?> selected <?php endif; ?>><?php echo e(__('Poller duration')); ?></option>
            <option value="cpu" <?php if($top_query == 'cpu'): ?> selected <?php endif; ?>><?php echo e(__('Processor load')); ?></option>
            <option value="ram" <?php if($top_query == 'ram'): ?> selected <?php endif; ?>><?php echo e(__('Memory usage')); ?></option>
            <option value="storage" <?php if($top_query == 'storage'): ?> selected <?php endif; ?>><?php echo e(__('Disk usage')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="sort_order-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Sort order')); ?></label>
        <select class="form-control" name="sort_order" id="sort_order-<?php echo e($id); ?>">
            <option value="asc" <?php if($sort_order == 'asc'): ?> selected <?php endif; ?>><?php echo e(__('Ascending')); ?></option>
            <option value="desc" <?php if($sort_order == 'desc'): ?> selected <?php endif; ?>><?php echo e(__('Descending')); ?></option>
        </select>
    </div>
    <div class="form-group">
        <label for="device_count-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Number of Devices')); ?></label>
        <input class="form-control" name="device_count" id="device_count-<?php echo e($id); ?>" value="<?php echo e($device_count); ?>">
    </div>
    <div class="form-group">
        <label for="time_interval-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Last Polled (minutes)')); ?></label>
        <input class="form-control" name="time_interval" id="time_interval-<?php echo e($id); ?>" value="<?php echo e($time_interval); ?>">
    </div>
    <div class="form-group">
        <label for="device_group-<?php echo e($id); ?>" class="control-label"><?php echo e(__('Device group')); ?></label>
        <select class="form-control" name="device_group" id="device_group-<?php echo e($id); ?>" data-placeholder="<?php echo e(__('All Devices')); ?>">
            <?php if($device_group): ?>
                <option value="<?php echo e($device_group->id); ?>" selected><?php echo e($device_group->name); ?></option>
            <?php endif; ?>
        </select>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>
    <script type="text/javascript">
        init_select2('#device_group-<?php echo e($id); ?>', 'device-group', {});
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('widgets.settings.base', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/widgets/settings/top-devices.blade.php ENDPATH**/ ?>