<?php $__env->startSection('title', __('Poller Groups')); ?>

<?php $__env->startSection('content'); ?>

<?php echo \Illuminate\View\Factory::parentPlaceholder('content'); ?>

<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#poller-groups"><?php echo e(__('Create new poller group')); ?></button>
<br /><br />
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover table-condensed">
        <tr>
            <th><?php echo e(__('ID')); ?></th>
            <th><?php echo e(__('Group Name')); ?></th>
            <th><?php echo e(__('Devices')); ?></th>
            <th><?php echo e(__('Description')); ?></th>
            <th><?php echo e(__('Action')); ?></th>
        </tr>
        <tr id="0">
            <td>0</td>
            <td>General <?php if($default_group_id == 0): ?> (<?php echo e(__('default')); ?>) <?php endif; ?></td>
            <td><a href="<?php echo e(url('devices/poller_group=0')); ?>"><?php echo e($ungrouped_count); ?></a></td>
            <td></td>
            <td>
        </tr>
        <?php $__currentLoopData = $poller_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr id="<?php echo e($group->id); ?>">
            <td><?php echo e($group->id); ?></td>
            <td><?php echo e($group->group_name); ?><?php if($group->id == $default_group_id): ?> (<?php echo e(__('default')); ?>) <?php endif; ?></td>
            <td><a href="<?php echo e(url('devices/poller_group=' . $group->id)); ?>"><?php echo e($group->devices_count); ?></a></td>
            <td><?php echo e($group->descr); ?></td>
            <td>
                <button type="button" class="btn btn-success btn-xs" data-group_id="<?php echo e($group->id); ?>" data-toggle="modal" data-target="#poller-groups"><?php echo e(__('Edit')); ?></button>
                <button type="button" class="btn btn-danger btn-xs" data-group_id="<?php echo e($group->id); ?>" data-toggle="modal" data-target="#confirm-delete"><?php echo e(__('Delete')); ?></button>
            </td>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
    </table>
</div>

<?php if(auth()->user()->isAdmin()): ?>
<div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="Delete" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h5 class="modal-title" id="Delete"><?php echo e(__('Confirm Delete')); ?></h5>
            </div>
            <div class="modal-body">
                <p><?php echo e(__('If you would like to remove the Poller Group then please click Delete.')); ?></p>
            </div>
            <div class="modal-footer">
                <form role="form" class="remove_group_form">
                    <?php echo csrf_field(); ?>
                    <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo e(__('Cancel')); ?></button>
                    <button type="submit" class="btn btn-danger danger" id="group-removal" data-target="group-removal"><?php echo e(__('Delete')); ?></button>
                    <input type="hidden" name="group_id" id="group_id" value="">
                    <input type="hidden" name="type" id="type" value="poller-group-remove">
                    <input type="hidden" name="confirm" id="confirm" value="yes">
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" id="poller-groups" tabindex="-1" role="dialog" aria-labelledby="Create" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="Create"><?php echo e(__('Poller Groups')); ?></h4>
            </div>
            <div class="modal-body">
                <form method="post" role="form" id="poller_groups" class="form-horizontal poller-groups-form">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="group_id" id="group_id" value="">
                <div class="row">
                    <div class="col-md-12">
                        <span id="response"></span>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="group_name" class="col-sm-3 control-label"><?php echo e(__('Group Name')); ?>:</label>
                            <div class="col-sm-9">
                                <input type="input" class="form-control" id="group_name" name="group_name" placeholder="Group Name">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="descr" class="col-sm-3 control-label"><?php echo e(__('Description')); ?>:</label>
                            <div class="col-sm-9">
                                <input type="input" class="form-control" id="descr" name="descr" placeholder="Description">
                            </div>
                        </div>
                        <div class="form-group">
                             <div class="col-sm-offset-3 col-sm-9">
                                 <button type="submit" class="btn btn-primary btn-sm" id="create-group" name="create-group"><?php echo e(__('Add Poller Group')); ?></button>
                             </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</form>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<?php if(auth()->user()->isAdmin()): ?>
<script>
$('#confirm-delete').on('show.bs.modal', function(e) {
    group_id = $(e.relatedTarget).data('group_id');
    $("#group_id").val(group_id);
});

$('#group-removal').on("click", function(e) {
    e.preventDefault();
    groupId = $("#group_id").val();
    $.ajax({
        type: 'DELETE',
        url: "ajax/pollergroup/" + groupId,
        success: function(msg) {
            toastr.success('<?php echo e(__('Poller Group deleted')); ?>');
            $("#confirm-delete").modal('hide');
            location.reload(1);
        },
        error: function(e) {
            toastr.error('<?php echo e(__('Failed to delete Poller Group')); ?>: ' + e.statusText)
            $("#confirm-delete").modal('hide');
        }
    });
});

$('#poller-groups').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget);
    var group_id = button.data('group_id');
    $('#group_id').val(group_id);
    if(group_id != '') {
        $('#group_id').val(group_id);
        $.ajax({
            type: "POST",
            url: "ajax_form.php",
            data: { type: "parse-poller-groups", group_id: group_id },
            dataType: "json",
            success: function(output) {
                $('#group_name').val(output['group_name']);
                $('#descr').val(output['descr']);
            }
        });
    }
});

$('#create-group').on("click", function(e) {
    e.preventDefault();
    var group_name = $("#group_name").val();
    var descr = $("#descr").val();
    var group_id = $('#group_id').val();
    $.ajax({
        type: "POST",
        url: "ajax_form.php",
        data: { type: "poller-groups", group_name: group_name, descr: descr, group_id: group_id },
        dataType: "html",
        success: function(msg){
            if(msg.indexOf("ERROR:") <= -1) {
                $("#message").html('<div class="alert alert-info">'+msg+'</div>');
                $("#poller-groups").modal('hide');
                setTimeout(function() {
                    location.reload(1);
                }, 1000);
            } else {
                $("#error").html('<div class="alert alert-info">'+msg+'</div>');
            }
        },
        error: function(){
            $("#error").html('<div class="alert alert-info">An error occurred.</div>');
        }
    });
});
<?php endif; ?>
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('poller.index', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/poller/groups.blade.php ENDPATH**/ ?>